/* Copyright (C) 2016 Stefan Frenz
 * 
 * This file is part of SJC, the Small Java Compiler written by Stefan Frenz.
 * 
 * SJC is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * SJC is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with SJC. If not, see <http://www.gnu.org/licenses/>.
 */

package sjc.debug;

import sjc.compbase.Context;
import sjc.compbase.Mthd;
import sjc.memory.MemoryImage;
import sjc.memory.MemoryObjectDebugInfo;

/**
 * AsmOutVCpu2: symbol information writer for vCpu2 assembler output
 * 
 * @author S. Frenz
 * @version 160328 added calculation of scalar method code size, now extending AsmOut for code sharing reasons
 *  version 160324 initial version
 */

public class AsmOutVCPU2 extends AsmOut {
  public AsmOutVCPU2(String filename, Context ictx) {
    super(filename, ictx);
  }
  
  protected void printHeader(MemoryImage mem) {
    out.print("ORG 0x");
    out.printHexFix(mem.getBaseAddress(), 8);
    out.println();
    out.println();
  }
  
  protected void printMthdTail(MemoryObjectDebugInfo now, Mthd mthd) {
    //nothing to do
  }
}
